
Redmine - Defect #3095

Export Gantt as PNG didn't work

2009-04-01 17:38 - Maxim Krušina

Status: Closed Start date: 2009-04-01

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I just receive blank page with text:

The image “http://myredmine/issues/gantt?format=png&month=4&months=4&year=2009&zoom=3” cannot be displayed, because it

contains errors.

History

#1 - 2009-04-04 10:47 - Jean-Philippe Lang

I can't reproduce. Can you save the result (right-click on the PNG link and 'Save as...') and attach it here?

#2 - 2009-04-05 09:34 - Maxim Krušina

Actually, I can't because what I get is only plaintext message in my browser, exactly this:

The image “http://red.mfcc.cz/projects/aig/issues/gantt?format=png&month=4&months=4&year=2009&zoom=4” cannot b

e displayed, because it contains errors.

 So it will not generate any image I can save, it generates just plaint text error message.

#3 - 2009-04-05 10:03 - Jean-Philippe Lang

So, can you attach the log?

#4 - 2009-04-07 15:02 - Maxim Krušina

Oh, first time I'm in redmine's log ;) So I got it:

Magick::ImageMagickError (unable to read font `/usr/share/fonts/type1/gsfonts/n019003l.pfb'):

Isn't it some problem in ruby/redmine instalation?

#5 - 2009-04-07 20:51 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (devel)

- Resolution set to Invalid

I close this since it's not a Redmine defect.

The problem may be related to your RMagick setup:

http://rubyforge.org/forum/forum.php?thread_id=13599&forum_id=33
